BSD ftpd Single Byte Buffer Overflow Vulnerability

Bugtraq ID: 2124
Class: Boundary Condition Error
CVE:
Remote: Yes
Local: No
Published: Dec 18 2000 12:00AM
Updated: Dec 18 2000 12:00AM
Credit: This vulnerability was discovered by Scrippie <scrippie@grafix.nl>.
Vulnerable: OpenBSD OpenBSD 2.8
OpenBSD OpenBSD 2.7
OpenBSD OpenBSD 2.6
OpenBSD OpenBSD 2.5
OpenBSD OpenBSD 2.4
NetBSD NetBSD 1.5
NetBSD NetBSD 1.4.2
NetBSD NetBSD 1.4.1
NetBSD NetBSD 1.4
David Madore ftpd-BSD 0.2.3
- Caldera OpenLinux 2.4
- Caldera OpenLinux 2.3
- Caldera OpenLinux 2.2
- Debian Linux 2.3
- Debian Linux 2.2
- Debian Linux 2.1
- Debian Linux 2.0
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- Mandriva Linux Mandrake 6.1
- Mandriva Linux Mandrake 6.0
- RedHat Linux 7.0
- RedHat Linux 6.0 x
- RedHat Linux 5.0
- Slackware Linux 7.1
- Slackware Linux 7.0
- Slackware Linux 4.0
David A. Holland linux-ftpd 0.17
+ Progeny Debian 1.0
BSD ftpd 0.3.2
+ Progeny Debian 1.0
Not Vulnerable: FreeBSD FreeBSD 4.2
FreeBSD FreeBSD 4.1.1
FreeBSD FreeBSD 4.1
FreeBSD FreeBSD 4.0
FreeBSD FreeBSD 3.5
FreeBSD FreeBSD 3.4
FreeBSD FreeBSD 3.3
FreeBSD FreeBSD 3.2
David Madore ftpd-BSD 0.2.3 -4
- Caldera OpenLinux 2.4
- Caldera OpenLinux 2.3
- Caldera OpenLinux 2.2
- Debian Linux 2.3
- Debian Linux 2.2
- Debian Linux 2.1
- Debian Linux 2.0
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- Mandriva Linux Mandrake 6.1
- Mandriva Linux Mandrake 6.0
- RedHat Linux 7.0
- RedHat Linux 6.0 x
- S.u.S.E. Linux 7.0
- S.u.S.E. Linux 6.0
- S.u.S.E. Linux 5.0
- S.u.S.E. Linux 4.4.1
- S.u.S.E. Linux 4.4
- S.u.S.E. Linux 4.3
- S.u.S.E. Linux 4.2


 

Privacy Statement
Copyright 2010, SecurityFocus